<template>
	<view class="main-container">
		<!-- 之前已经全部投票完成 -->
		<view v-if="notiType === 1" class="noti-container-1">
			<view class="close-btn" @click="handleClose(1, 1)"></view>
			<view class="handle-btn" @click="handleClose(1, 2)"></view>
		</view>
		<!-- 投票成功且出道可领券 -->
		<view v-if="notiType === 2" class="noti-container-2">
			<view class="close-btn" @click="handleClose(2, 1)"></view>
			<view class="handle-btn" @click="handleClose(2, 2)"></view>
			<view class="location-picker" :class="locationValueText === '点击选择' ? 'location-invalid' : 'location-valid'" @click="handleShowPickerView">{{ locationValueText }}</view>
		</view>
		<!-- 投票成功且出道但券领完 -->
		<view v-if="notiType === 3" class="noti-container-3">
			<view class="close-btn" @click="handleClose(3, 1)"></view>
			<view class="handle-btn" @click="handleClose(3, 2)"></view>
		</view>
		<!-- 投票成功但没出道 -->
		<view v-if="notiType === 4" class="noti-container-4">
			<view class="close-btn" @click="handleClose(4, 1)"></view>
			<view class="handle-btn" @click="handleClose(4, 2)"></view>
		</view>
		<!-- 活动已经结束(投票结束) -->
		<view v-if="notiType === 5" class="noti-container-5">
			<view class="close-btn" @click="handleClose(5, 1)"></view>
			<view class="handle-btn" @click="handleClose(5, 2)"></view>
		</view>
		<!-- 投票成功且票数用完 -->
		<view v-if="notiType === 6" class="noti-container-6">
			<view class="close-btn" @click="handleClose(6, 1)"></view>
			<view class="handle-btn" @click="handleClose(6, 2)"></view>
		</view>
		<!-- 投票成功剩余4次并需要信息 -->
		<view v-if="notiType === 7" class="noti-container-7">
			<view class="close-btn" @click="handleClose(7, 1)"></view>
			<view class="handle-btn" @click="handleClose(7, 2)"></view>
		</view>
		<!-- 投票成功剩余3次 -->
		<view v-if="notiType === 8" class="noti-container-8">
			<view class="close-btn" @click="handleClose(8, 1)"></view>
			<view class="handle-btn" @click="handleClose(8, 2)"></view>
		</view>
		<!-- 投票成功剩余2次 -->
		<view v-if="notiType === 9" class="noti-container-9">
			<view class="close-btn" @click="handleClose(9, 1)"></view>
			<view class="handle-btn" @click="handleClose(9, 2)"></view>
		</view>
		<!-- 投票成功剩余1次 -->
		<view v-if="notiType === 10" class="noti-container-10">
			<view class="close-btn" @click="handleClose(10, 1)"></view>
			<view class="handle-btn" @click="handleClose(10, 2)"></view>
		</view>
		<!-- 活动已经结束(投票结束) -->
		<view v-if="notiType === 11" class="noti-container-11">
			<view class="close-btn" @click="handleClose(11, 1)"></view>
			<view class="handle-btn" @click="handleClose(11, 2)"></view>
		</view>
		<view class="picker-view-outer" v-if="showPickerView">
			<view class="picker-view-container">
				<view class="picker-view-handle">
					<view class="picker-view-handle-item-left" @click="handlePickerView(0)">取消</view>
					<view class="picker-view-handle-item-right" @click="handlePickerView(1)">确定</view>
				</view>
				<picker-view class="picker-view" :value="locationValue" @change="pickerChange">
					<picker-view-column>
						<view class="picker-view-item" v-for="(location, index) in locationList" :key="index">{{ location }}</view>
					</picker-view-column>
				</picker-view>
			</view>
		</view>
	</view>
</template>

<script>
export default {
	data() {
		return {
			userName: '',
			userTel: '',
			showPickerView: false,
			locationValue: -1,
			locationValueTemp: -1,
			locationValueText: '点击选择',
			locationList: [
				// '点击选择',
				'北京四元桥宜家',
				'北京西红门宜家',
				'成都成华宜家',
				'成都高新宜家',
				'重庆宜家',
				'长沙宜家',
				'大连宜家',
				'佛山宜家',
				'广州番禺宜家',
				'广州天河宜家',
				'贵阳宜家',
				'哈尔滨宜家',
				'杭州宜家',
				'济南宜家',
				'南京宜家',
				'南通宜家',
				'宁波宜家',
				'青岛宜家',
				'上海宝山宜家',
				'上海北蔡宜家',
				'上海徐汇宜家',
				'上海杨浦宜家',
				'沈阳宜家',
				'深圳宜家',
				'苏州宜家',
				'天津东丽宜家',
				'天津中北宜家',
				'无锡宜家',
				'武汉宜家',
				'西安宜家',
				'徐州宜家',
				'郑州宜家'
			]
			// locationList2: [
			// 	{ name: '北京四元桥宜家' },
			// 	{ name: '北京西红门宜家' },
			// 	{ name: '成都成华宜家' },
			// 	{ name: '成都高新宜家' },
			// 	{ name: '重庆宜家' },
			// 	{ name: '长沙宜家' },
			// 	{ name: '大连宜家' },
			// 	{ name: '佛山宜家' },
			// 	{ name: '广州番禺宜家' },
			// 	{ name: '广州天河宜家' },
			// 	{ name: '贵阳宜家' },
			// 	{ name: '哈尔滨宜家' },
			// 	{ name: '杭州宜家' },
			// 	{ name: '济南宜家' },
			// 	{ name: '南京宜家' },
			// 	{ name: '南通宜家' },
			// 	{ name: '宁波宜家' },
			// 	{ name: '青岛宜家' },
			// 	{ name: '上海宝山宜家' },
			// 	{ name: '上海北蔡宜家' },
			// 	{ name: '上海徐汇宜家' },
			// 	{ name: '上海杨浦宜家' },
			// 	{ name: '沈阳宜家' },
			// 	{ name: '深圳宜家' },
			// 	{ name: '苏州宜家' },
			// 	{ name: '天津东丽宜家' },
			// 	{ name: '天津中北宜家' },
			// 	{ name: '无锡宜家' },
			// 	{ name: '武汉宜家' },
			// 	{ name: '西安宜家' },
			// 	{ name: '徐州宜家' },
			// 	{ name: '郑州宜家' }
			// ]
		};
	},
	props: {
		notiType: 0
	},
	methods: {
		handleShowPickerView () {
			console.log("ShowPickerView");
			this.showPickerView = true;
		},
		handlePickerView(type) {
			this.showPickerView = false;
			if (type === 1) {
				// 点击确定
				if (this.locationValueTemp === -1) {
					this.locationValue = 0;
				} else {
					this.locationValue = this.locationValueTemp;
				}
			} else {
				// 点击取消
			}
			this.locationValueText = this.locationList[this.locationValue];
			this.locationValueTemp = -1;
			console.log("locationValue === ", this.locationValue);
		},
		pickerChange(e) {
			console.log('pickerChange e === ', e);
			console.log('pickerChange value === ', e.target.value[0]);
			this.locationValueTemp = e.target.value[0];
		},
		handleClose(notiType, handleType) {
			console.log('close-noti notiType === ', notiType);
			console.log('close-noti handleType === ', handleType);
			let notiInfo = {}
			if (notiType === 2 && handleType === 2) {
				getApp().td_app_sdk.event({
					id: 'meatball_notification_领取卡券',
					label: 'click'
				});
				if (this.locationValue === -1) {
					uni.showToast({
						icon: 'none',
						title: '请选择商场'
					})
					return;
				} else {
					notiInfo = {
						one: notiType,
						two: handleType,
						location: this.locationValueText
					};
				}
			} else {
				getApp().td_app_sdk.event({
					id: 'meatball_notification_关闭弹窗通知',
					label: 'click'
				});
				notiInfo = {
					one: notiType,
					two: handleType
				};
			}
			this.$emit('close-noti', notiInfo);
		}
	}
};
</script>

<style lang="scss" scoped>
.main-container {
	position: absolute;
	z-index: 10;
	top: 0;
	left: 0;
	width: 100%;
	height: 100vh;
	background-color: rgba(0, 0, 0, 0.6);
	display: flex;
	justify-content: center;
	align-content: center;
	align-items: center;
}
.noti-container-1 {
	width: 611rpx;
	height: 536rpx;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/back-noti-1-back.png');
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
	position: relative;
}
.noti-container-2 {
	width: 611rpx;
	height: 685rpx;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/back-noti-2-back.png');
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
	position: relative;
}
.noti-container-3 {
	width: 611rpx;
	height: 609rpx;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/back-noti-3-back.png');
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
	position: relative;
}
.noti-container-4 {
	width: 611rpx;
	height: 550rpx;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/back-noti-4-back.png');
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
	position: relative;
}
.noti-container-5 {
	width: 611rpx;
	height: 536rpx;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/back-noti-5-back.png');
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
	position: relative;
}
.noti-container-6 {
	width: 611rpx;
	height: 536rpx;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/back-noti-6-back.png');
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
	position: relative;
}
.noti-container-7 {
	width: 611rpx;
	height: 493rpx;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/back-noti-7-back.png');
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
	position: relative;
}
.noti-container-11 {
	width: 611rpx;
	height: 536rpx;
	// background-image: url('https://ikea-mrm.woaap.com/images/meatball/back-noti-11-back.png');
	background-image: url('https://campaign.uglobal.com.cn/ikea/images/meatball/back-noti-11-back.png');
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
	position: relative;
}
.noti-name {
	position: absolute;
	left: 254rpx;
	// top: 354rpx;
	top: 348rpx;
	width: 187rpx;
	height: 35rpx;
	line-height: 35rpx;
	font-size: 28rpx;
	text-align: center;
	color: #333;
}
.noti-tel {
	position: absolute;
	left: 254rpx;
	// top: 402rpx;
	top: 398rpx;
	width: 187rpx;
	height: 35rpx;
	line-height: 35rpx;
	font-size: 28rpx;
	text-align: center;
	color: #333;
}
.noti-container-8 {
	width: 611rpx;
	height: 493rpx;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/back-noti-8-back.png');
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
	position: relative;
}
.noti-container-9 {
	width: 611rpx;
	height: 493rpx;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/back-noti-9-back.png');
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
	position: relative;
}
.noti-container-10 {
	width: 611rpx;
	height: 493rpx;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/back-noti-10-back.png');
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
	position: relative;
}
.close-btn {
	position: absolute;
	top: 27rpx;
	right: 27rpx;
	width: 30rpx;
	height: 30rpx;
}
.handle-btn {
	position: absolute;
	bottom: 0;
	left: 0;
	width: 100%;
	height: 111rpx;
}
.location-picker {
	position: absolute;
	bottom: 205rpx;
	right: 92rpx;
	// width: 311rpx;
	width: 295rpx;
	height: 48rpx;
	background: transparent;
	font-size: 24rpx;
	line-height: 48rpx;
}
.location-invalid {
	color: #cccccc;
}
.location-valid {
	color: #333333;
}
.picker-view-outer {
	position: absolute;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	background-color: rgba(0, 0, 0, 0.6);
	z-index: 10;
}
.picker-view-container {
	position: absolute;
	bottom: 0;
	left: 0;
	width: 100vw;
	height: 440rpx;
	background-color: #fff;
	display: flex;
	flex-wrap: wrap;
}
.picker-view-handle {
	width: 100%;
	height: 80rpx;
	line-height: 36rpx;
	font-size: 36rpx;
	text-align: center;
	display: flex;
	flex-wrap: nowrap;
	justify-content: space-between;
	align-items: center;
}
.picker-view-handle-item-left {
	width: 130rpx;
	height: 40rpx;
	color: #ccc;
}
.picker-view-handle-item-right {
	width: 130rpx;
	height: 40rpx;
	color: #c9aa7f;
}
.picker-view {
	width: 100%;
	height: 100%;
}
.picker-view-item {
	width: 100vw;
	height: 68rpx;
	line-height: 68rpx;
	font-size: 40rpx;
	color: #333;
	text-align: center;
}
</style>
